# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, dhallPackages }:

dhallPackages.buildDhallPackage {
  name = "dhall-genode";

  code = let
    src = fetchgit {
      url = "https://git.sr.ht/~ehmry/dhall-genode";
      rev = "35848a853f9735d89e1b5f9ee637d7889ca89500";
      sha256 = "1l5g1vpligvkb3qahccdvj832qbk9z17wzi1y8wvg3fzf8dckric";
    };
  in src + "/package.dhall";

  dependencies = [ dhallPackages.Prelude."13.0.0" ];

  source = true;
}
